List customer's transactions
curl --request GET \
--url https://dev.sbx.imprint.co/v2/customers/{customer_id}/transactions \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://dev.sbx.imprint.co/v2/customers/{customer_id}/transactions"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://dev.sbx.imprint.co/v2/customers/{customer_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "E777214A-2D11-4CAD-9E8F-E1BD71D9FE67",
"customer_id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
"payment_method_id": "DCBFC736-2286-42DD-897D-160DCA80AED2",
"amount": 123,
"currency": "USD",
"status": "APPROVED",
"network_transaction_id": "<string>",
"created_at": "2025-02-13T19:08:07.000Z",
"intent_id": "5B30532B-5B5B-4826-8DE2-429C57B705FD",
"authorization_code": "ABCD",
"purchase_method": "CHIP",
"partner_transaction_id": "<string>",
"updated_at": "2025-02-13T19:08:07.000Z",
"merchant": {
"network_id": "234923454545",
"name": "Target",
"category": "Grocery Stores",
"category_code": "5411",
"address": {
"street_line1": "123 Main St",
"street_line2": "Apt 4B",
"city": "San Francisco",
"state": "CA",
"postal_code": "94105",
"country": "USA"
}
},
"metadata": {
"platform_version": "2.1.0"
}
}
],
"has_more": true,
"total": 123
}{
"type": "CUSTOMER_NOT_FOUND_ERROR",
"message": "Customer not found for provided ID: CSMR-v1-123",
"param": "customer_id"
}Customers
List customer's transactions
GET
/
v2
/
customers
/
{customer_id}
/
transactions
List customer's transactions
Authorizations
basicAuthbearerAuth
Basic HTTP authentication. Allowed headers-- Authorization: Basic <base64(api_key_id:api_key_secret)>
Path Parameters
The unique identifier for the Imprint customer
Example:
"2EE24580-B97B-4949-A65C-929CCB9B9B8D"
Query Parameters
Limits the number of returned results
Required range:
x >= 1A cursor for use in pagination. An id that defines your place in the list.
⌘I